- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKGeometry Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKGeometry ()

## Public Attributes
IWORKSize | m_naturalSize
IWORKSize | m_size
IWORKPosition | m_position
boost::optional< double > | m_angle
boost::optional< double > | m_shearXAngle
boost::optional< double > | m_shearYAngle
boost::optional< bool > | m_horizontalFlip
boost::optional< bool > | m_verticalFlip
boost::optional< bool > | m_aspectRatioLocked
boost::optional< bool > | m_sizesLocked

## Constructor & Destructor Documentation

libetonyek::IWORKGeometry::IWORKGeometry | ( |  | ) |

## Member Data Documentation

boost::optional<double> libetonyek::IWORKGeometry::m_angle

Referenced by libetonyek::makeTransformation().

boost::optional<bool> libetonyek::IWORKGeometry::m_aspectRatioLocked

boost::optional<bool> libetonyek::IWORKGeometry::m_horizontalFlip

Referenced by libetonyek::makeTransformation().

IWORKSize libetonyek::IWORKGeometry::m_naturalSize

Referenced by libetonyek::makeTransformation().

IWORKPosition libetonyek::IWORKGeometry::m_position

Referenced by libetonyek::makeTransformation().

boost::optional<double> libetonyek::IWORKGeometry::m_shearXAngle

Referenced by libetonyek::makeTransformation().

boost::optional<double> libetonyek::IWORKGeometry::m_shearYAngle

Referenced by libetonyek::makeTransformation().

IWORKSize libetonyek::IWORKGeometry::m_size

boost::optional<bool> libetonyek::IWORKGeometry::m_sizesLocked

boost::optional<bool> libetonyek::IWORKGeometry::m_verticalFlip

Referenced by libetonyek::makeTransformation().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp